import { ElButton, ElForm, ElFormItem, ElInput } from 'element-plus'
import { defineComponent } from 'vue'
import { createState } from '../createState'

export default defineComponent({
  name: 'course-content',
  render() {
    return (
      <>
        <ElForm
          class="px-[200px] pb-10 pt-7"
          size="large"
          labelWidth={'90px'}
          labelPosition="left"
        >
          <ElFormItem label="课程名称">
            <ElInput placeholder="请输入课程名称" />
          </ElFormItem>
        </ElForm>
        <div class="border-t border-t-[#E5E5E5] text-center pt-6 pb-7">
          <ElButton
            class="!w-40 !h-[38px]"
            onClick={() => {
              createState.active = 1
            }}
          >
            上一步
          </ElButton>
          <ElButton
            type="primary"
            class="!w-40 !h-[38px]"
            onClick={() => {
              createState.active = 1
            }}
          >
            下一步
          </ElButton>
        </div>
      </>
    )
  }
})
